# unordered_map File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file unordered_map.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Functions

- template<class Key, class T, class Hash, class Pred, class Alloc, bool cache_hash_code> void swap (unordered_multimap< Key, T, Hash, Pred, Alloc, cache_hash_code > &x, unordered_multimap< Key, T, Hash, Pred, Alloc, cache_hash_code > &y)
- template<class Key, class T, class Hash, class Pred, class Alloc, bool cache_hash_code> void swap (unordered_map< Key, T, Hash, Pred, Alloc, cache_hash_code > &x, unordered_map< Key, T, Hash, Pred, Alloc, cache_hash_code > &y)